# Uses of Interface
javafx.scene.shape.ObservableFaceArray

Packages that use ObservableFaceArray
Package
Description
javafx.scene.shape
Provides the set of 2D classes for defining and performing operations on objects related to two-dimensional geometry.

## Uses of ObservableFaceArray in javafx.scene.shape

Methods in javafx.scene.shape that return ObservableFaceArray
Modifier and Type
Method
Description
`final ObservableFaceArray`
TriangleMesh.`getFaces()`
Gets the `faces` array, indices into the `points`, `normals` (optional, if it is a `VertexFormat.POINT_NORMAL_TEXCOORD` mesh) and `texCoords` arrays, of this `TriangleMesh`.